package com.qmth.boot.data.upgrade.demo.service;

import com.qmth.boot.data.upgrade.service.DataInitService;
import com.qmth.boot.data.upgrade.utils.ResourceFileHelper;
import org.apache.commons.lang3.ArrayUtils;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.jdbc.core.JdbcTemplate;

public class DataInit_1 implements DataInitService {

    private static final Logger log = LoggerFactory.getLogger(DataInit_1.class);

    @Override
    public void process(JdbcTemplate jdbcTemplate) throws Exception {
        log.info("process...");

        String[] sqlList = StringUtils.split(ResourceFileHelper.readContent("install/init.sql"), ";");
        if (ArrayUtils.isEmpty(sqlList)) {
            return;
        }

        for (String sql : sqlList) {
            if (StringUtils.isBlank(sql)) {
                continue;
            }

            log.info(sql);
            jdbcTemplate.execute(sql);
        }
    }

}
